class CommonLicensesController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse, :new, :edit, :create, :update, :destroy]

  # GET /common_licenses
  # GET /common_licenses.json
  def index
    @common_licenses = CommonLicense.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @common_licenses }
    end
  end

  # GET /common_licenses/1
  # GET /common_licenses/1.json
  def show
    @common_license = CommonLicense.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @common_license }
    end
  end

  def list
    @common_licenses = CommonLicense.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @common_licenses }
    end
  end

  def browse
    @common_license = CommonLicense.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @common_license }
    end
  end

  # GET /common_licenses/new
  # GET /common_licenses/new.json
  def new
    @common_license = CommonLicense.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @common_license }
    end
  end

  # GET /common_licenses/1/edit
  def edit
    @common_license = CommonLicense.find(params[:id])
  end

  # POST /common_licenses
  # POST /common_licenses.json
  def create
    @common_license = CommonLicense.new(params[:common_license])

    respond_to do |format|
      CommonLicense.transaction do
        if @common_license.save_save
          format.html { redirect_to :action => :browse, :id => @common_license.id, notice: 'Common license was successfully created.' }
          format.json { render json: @common_license, status: :created, location: @common_license }
        else
          format.html { render action: "new" }
          format.json { render json: @common_license.errors, status: :unprocessable_entity }
        end
      end
    end
  end

  # PUT /common_licenses/1
  # PUT /common_licenses/1.json
  def update
    @common_license = CommonLicense.find(params[:id])

    respond_to do |format|
      if @common_license.update_attributes(params[:common_license])
        format.html { redirect_to :action => :browse, :id => @common_license.id, notice: 'Common license was successfully updated.' }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @common_license.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /common_licenses/1
  # DELETE /common_licenses/1.json
  def destroy
    @common_license = CommonLicense.find(params[:id])
    @common_license.destroy

    respond_to do |format|
      format.html { redirect_to common_licenses_url }
      format.json { head :ok }
    end
  end
end
