class LicensesController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /licenses
  # GET /licenses.json
  def index
    @licenses = License.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @licenses }
    end
  end

  # GET /licenses/1
  # GET /licenses/1.json
  def show
    @license = License.find(params[:id])
    if @license.common_license
      redirect_to :controller => 'common_licenses', :action => :browse, :id => @license.common_license.id
    else
      redirect_to :controller => 'original_licenses', :action => :browse, :id => @license.original_license.id
    end
  end

  def list
    @licenses = License.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @licenses }
    end
  end

  def browse
    @license = License.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @license }
    end
  end
end
