# -*- encoding: utf-8 -*-
require 'spec_helper'

describe PanelPicture do
  describe '検証に於いて' do
    before do
    end
    
    it 'オーソドックスなデータなら通る' do
      @comic = Factory.build :normal_comic, :author_id => @author.id
      @comic.should be_valid
    end
    
    context 'widthを検証するとき' do
      it 'nullなら失敗する' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :width => nil
        @comic.should_not be_valid
      end
      it '0なら失敗する' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :width => 0
        @comic.should_not be_valid
      end
      it '負では通る' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :width => -1
        @comic.should be_valid
      end
      it '正なら通る' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :width => 1
        @comic.should be_valid
      end
    end
    context 'heightを検証するとき' do
      it 'nullなら失敗する' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :height => nil
        @comic.should_not be_valid
      end
      it '0なら失敗する' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :height => 0
        @comic.should_not be_valid
      end
      it '負では通る' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :height => -1
        @comic.should be_valid
      end
      it '正なら通る' do
        @comic = Factory.build :normal_comic, :author_id => @author.id, :height => 1
        @comic.should be_valid
      end
    end
  end
end
